6.0.0-git
2019-07-20

[#11737] 'kolab' group driver enabled
Summary 'kolab' group driver enabled
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org, wrobel (at) horde (dot) org
Requester jmozdzen (at) nde (dot) ag
Created 2012-11-21 (2432 days ago)
Due
Updated 2017-10-20 (638 days ago)
Assigned
Resolved 2012-11-26 (2427 days ago)
Milestone
Patch No

History
2017-10-20 20:33:47 Git Commit Comment #21 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit e7f34b3fa8057af574eb6c1317fd116c783f03fd
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 01 Feb 2016 18:22:35 +0100

[jan] Add more detailed user DN settings to Kolab group configuration 
(Request #11737).

  M docs/CHANGES
  M package.xml

https://github.com/horde/base/commit/e7f34b3fa8057af574eb6c1317fd116c783f03fd
2017-10-20 20:33:47 Git Commit Comment #20 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 9fcbc440da77793857a306a3bac2b1b97d444c43
Author: Jens-U. Mozdzen <jmozdzen@nde.ag>
Date:   Mon, 01 Feb 2016 18:18:59 +0100

bug #11737: include LDAP configuration options when selecting Kolab driver

  M config/conf.xml

https://github.com/horde/base/commit/9fcbc440da77793857a306a3bac2b1b97d444c43
2017-10-20 20:33:12 Git Commit Comment #19 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit a5a0f5a7ae33347bd76a165557bbe7aca7b72d72
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 01 Feb 2016 18:22:35 +0100

[jan] Add more detailed user DN settings to Kolab group configuration 
(Request #11737).

  M docs/CHANGES

https://github.com/horde/groupware/commit/a5a0f5a7ae33347bd76a165557bbe7aca7b72d72
2017-10-20 20:32:38 Git Commit Comment #18 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 31d268e157f0b4acceb69261fe41169428fc3cd8
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 01 Feb 2016 18:22:35 +0100

[jan] Add more detailed user DN settings to Kolab group configuration 
(Request #11737).

  M docs/CHANGES

https://github.com/horde/webmail/commit/31d268e157f0b4acceb69261fe41169428fc3cd8
2016-02-01 17:23:21 Git Commit Comment #17 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit d6743e2fe24b09f1fc03bf3b53098b10d45497db
Author: Jan Schneider <jan@horde.org>
Date:   Mon Feb 1 18:22:35 2016 +0100

     [jan] Add more detailed user DN settings to Kolab group 
configuration (Request #11737).

  bundles/groupware/docs/CHANGES |    2 ++
  bundles/webmail/docs/CHANGES   |    2 ++
  horde/docs/CHANGES             |    2 ++
  horde/package.xml              |    2 ++
  4 files changed, 8 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/d6743e2fe24b09f1fc03bf3b53098b10d45497db
2016-02-01 17:23:17 Git Commit Comment #16 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 303017a47a19e961c96c392d29460f65d8b39e76
Author: Jens-U. Mozdzen <jmozdzen@nde.ag>
Date:   Tue Nov 27 18:35:12 2012 +0100

     bug #11737: include LDAP configuration options when selecting Kolab driver

  horde/config/conf.xml |   35 ++++++++++++++++++++++++++++++++++-
  1 files changed, 34 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/303017a47a19e961c96c392d29460f65d8b39e76
2016-02-01 17:08:55 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit fc85220429ba70cfb1c4632fdd6a971c7d94f56e
Author: Jens-U. Mozdzen <jmozdzen@nde.ag>
Date:   Tue Nov 27 18:35:12 2012 +0100

     bug #11737: include LDAP configuration options when selecting Kolab driver

  horde/config/conf.xml |   35 ++++++++++++++++++++++++++++++++++-
  1 files changed, 34 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/fc85220429ba70cfb1c4632fdd6a971c7d94f56e
2012-11-29 11:08:13 jmozdzen (at) nde (dot) ag Comment #14
New Attachment: 0001-bug-11737-include-LDAP-configuration-options-when-se.patch Download
Reply to this comment
(korrigierter patch)
2012-11-27 16:41:58 jmozdzen (at) nde (dot) ag Comment #13 Reply to this comment
I have no idea where this comes from:
The fix was incorrect though, try this one instead.
I've applied the change to my test server and noticed no problems so far.

If it's ok for you I feel safe to assume that the behavior won't
change, so again "fixed for me".
perfect total for cost that is $12.96 minus 200
It wasn't me that entered this comment...
2012-11-26 21:11:20 jmozdzen (at) nde (dot) ag Comment #12 Reply to this comment
The fix was incorrect though, try this one instead.
I've applied the change to my test server and noticed no problems so far.

If it's ok for you I feel safe to assume that the behavior won't 
change, so again "fixed for me".
perfect total for cost that is $12.96 minus 200
2012-11-26 19:55:41 Jan Schneider State ⇒ Resolved
 
2012-11-26 17:29:58 jmozdzen (at) nde (dot) ag Comment #11 Reply to this comment
The fix was incorrect though, try this one instead.
I've applied the change to my test server and noticed no problems so far.

If it's ok for you I feel safe to assume that the behavior won't 
change, so again "fixed for me".
2012-11-26 17:18:18 Jan Schneider Comment #10
Assigned to Jan Schneider
Patch ⇒ No
Reply to this comment
The fix was incorrect though, try this one instead.
2012-11-26 17:16:50 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 9b39cbfba81750ca9ae1aab639b3efc6af7b3605
Author: Jan Schneider <jan@horde.org>
Date:   Mon Nov 26 18:15:28 2012 +0100

     [jan] Fix class name when using the Kolab group backend (Bug #11737).

  framework/Core/lib/Horde/Core/Factory/Group.php |    8 +++++++-
  framework/Core/package.xml                      |    4 ++--
  2 files changed, 9 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/9b39cbfba81750ca9ae1aab639b3efc6af7b3605
2012-11-26 17:16:45 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 9a6744d2d02dc7548e824ab764e60988104ef494
Author: Jan Schneider <jan@horde.org>
Date:   Mon Nov 26 18:11:29 2012 +0100

     Revert "[gwr] Add missing core wrapper for Kolab group driver 
(Bug #11737)."

     This reverts commit ac49a602394d8b6d3daad1ca38b74b3c0730ad6f.

     We don't want to use an extension of Horde_Core_Group_Ldap. It 
only adds a call
     to the groupldap hook, that we don't want to use in Kolab and 
that's not even
     documented.

  framework/Core/lib/Horde/Core/Group/Kolab.php |   17 -----------------
  framework/Core/package.xml                    |    4 ++--
  2 files changed, 2 insertions(+), 19 deletions(-)

http://git.horde.org/horde-git/-/commit/9a6744d2d02dc7548e824ab764e60988104ef494
2012-11-26 16:48:40 jmozdzen (at) nde (dot) ag Comment #7 Reply to this comment
Hi,
Does my commit fix the issue?
so far, no new errors popped up, at least none attributable to this 
commit. I believe this ticket can therefore be set to "fixed", but 
keeping in mind the needed change to conf.xml.

Thanks for the quick response!
2012-11-23 08:38:41 Thomas Jarosch Comment #6 Reply to this comment
One minor change observed: Once I ran things with your patch, a new 
error is reported by "nag" as soon as I select to show my list of 
tasks:

WARN: HORDE [nag] PHP ERROR: Invalid argument supplied for foreach() 
[pid 16899 on line 55 of 
"/srv/www/htdocs/horde5/nag/templates/list/_task.html.php"]
This is a known issue and will be resolved soonish: #11584

2012-11-22 22:01:09 jmozdzen (at) nde (dot) ag Comment #5 Reply to this comment
Thanks for the report.

Does my commit fix the issue? I added the missing 
Horde_Core_Group_Kolab class (it simply extends 
Horde_Core_Group_Ldap).
I'm in the process of giving this a test run.
Rather than relying on the $conf['kolab']['ldap'] parameters you 
need to set $conf['group']['params'] with the correct values.
That'll require an additional patch to config.xml, as currently no 
additional parameters are requested when configuring the "Kolab" group 
driver.

Once I manually changed the config.xml and added the LDAP parameters, 
I can log in as before and a quick "visual check" provided no obvious 
errors. Of course this will require more thorough test.

One minor change observed: Once I ran things with your patch, a new 
error is reported by "nag" as soon as I select to show my list of tasks:

WARN: HORDE [nag] PHP ERROR: Invalid argument supplied for foreach() 
[pid 16899 on line 55 of 
"/srv/www/htdocs/horde5/nag/templates/list/_task.html.php"]

But as a few different toppics are nagging right now (sorry for the 
pun), further analysis will have to wait until tomorrow.
2012-11-22 21:15:33 Gunnar Wrobel Comment #4
Assigned to Gunnar Wrobel
State ⇒ Feedback
Reply to this comment
Thanks for the report.

Does my commit fix the issue? I added the missing 
Horde_Core_Group_Kolab class (it simply extends Horde_Core_Group_Ldap).

Rather than relying on the $conf['kolab']['ldap'] parameters you need 
to set $conf['group']['params'] with the correct values.

I did not try this myself now but hope to do so soon. But until then 
you might be able to check yourself if that helps.
2012-11-22 20:16:47 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit ac49a602394d8b6d3daad1ca38b74b3c0730ad6f
Author: Gunnar Wrobel <p@rdus.de>
Date:   Thu Nov 22 21:16:23 2012 +0100

     [gwr] Add missing core wrapper for Kolab group driver (Bug #11737).

  framework/Core/lib/Horde/Core/Group/Kolab.php |   17 +++++++++++++++++
  framework/Core/package.xml                    |    4 ++--
  2 files changed, 19 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/ac49a602394d8b6d3daad1ca38b74b3c0730ad6f
2012-11-21 14:41:08 jmozdzen (at) nde (dot) ag Comment #2 Reply to this comment
sorry, submitted that text too early
[...]
- Factory could find the class definition even after rename
it *could not* find the class:

PHP Fatal error:  Class 'Horde_Core_Group_Kolab' not found in 
/usr/share/php5/PEAR/Horde/Core/Factory/Group.php on line 42


2012-11-21 14:33:35 jmozdzen (at) nde (dot) ag Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ 'kolab' group driver enabled
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: 0002-group-driver-kolab-polished-up-renamed-to-Horde_Core.patch Download
Reply to this comment
Selecting "kolab" as group driver caused several severe problems:

- The class is named Horde_Core_Group_Kolab in Factory/Group.php, but 
Horde_Group_Kolab in Group/Kolab.php
- Factory could find the class definition even after rename, I had to 
manually include Group/Kolab.php! Someone please check the root cause, 
this patch is just a work-around
- Horde_Core_Group_Kolab needed polishing up the constructor

Saved Queries